> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/api-reference/saa-s-api/personal-access-tokens/list-personal-access-tokens/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # List personal access tokens GET https://alephant.io/api/v1/pats Lists PAT metadata for the current user in the workspace (no plaintext token). **JWT only** — PAT bearer tokens are rejected on this route (use a full access token). Reference: https://developers.alephant.io/api-reference/saa-s-api/personal-access-tokens/list-personal-access-tokens ## Servers - `https://alephant.io` (Production, default) - `https://dev.alephant.io` (Development) ## Request ### Query parameters - `page` (integer, optional, default: 1) — Page - `pageSize` (integer, optional, default: 20) — Page size ### Headers - `Authorization` (string, required) — Bearer JWT access token (PAT not allowed) - `X-Workspace-Id` (string, required) — Workspace UUID ## Response ### 200 OK - `data` (list of internal_api_handlers_pats.PATListItem, optional) - `pagination` (internal_api_handlers_pats.PATPagination, optional) ## Errors ### 400 Bad Request Error Workspace required - `map from string to any` ### 401 Unauthorized Error AUTH_PAT_NOT_ALLOWED or AUTH_TOKEN_EXPIRED - `map from string to any` ### 403 Forbidden Error Not workspace owner/admin - `map from string to any` ## Types ### internal_api_handlers_pats.PATListItem - `createdAt` (string, optional) - `expiresAt` (string, optional) - `id` (string, optional) - `lastUsedAt` (string, optional) - `name` (string, optional) - `scopes` (list of string, optional) - `tokenPrefix` (string, optional) - `workspaceId` (string, optional) ### internal_api_handlers_pats.PATPagination - `page` (integer, optional) - `pageSize` (integer, optional) - `total` (integer, optional) ## Examples **Response** ```json { "data": [ { "createdAt": "string", "expiresAt": "string", "id": "string", "lastUsedAt": "string", "name": "string", "scopes": [ "string" ], "tokenPrefix": "string", "workspaceId": "string" } ], "pagination": { "page": 1, "pageSize": 1, "total": 1 } } ``` **SDK Code** ```python import requests url = "https://alephant.io/api/v1/pats" headers = { "Authorization": "Authorization", "X-Workspace-Id": "X-Workspace-Id" } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alephant.io/api/v1/pats'; const options = { method: 'GET', headers: {Authorization: 'Authorization', 'X-Workspace-Id': 'X-Workspace-Id'} }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://alephant.io/api/v1/pats" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Authorization") req.Header.Add("X-Workspace-Id", "X-Workspace-Id") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alephant.io/api/v1/pats") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Authorization' request["X-Workspace-Id"] = 'X-Workspace-Id' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://alephant.io/api/v1/pats") .header("Authorization", "Authorization") .header("X-Workspace-Id", "X-Workspace-Id") .asString(); ``` ```php request('GET', 'https://alephant.io/api/v1/pats', [ 'headers' => [ 'Authorization' => 'Authorization', 'X-Workspace-Id' => 'X-Workspace-Id', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alephant.io/api/v1/pats"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Authorization"); request.AddHeader("X-Workspace-Id", "X-Workspace-Id"); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Authorization", "X-Workspace-Id": "X-Workspace-Id" ] let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/pats")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```